Bug 55138 - Installer unable to create cylinder based partitions in kickstart
Installer unable to create cylinder based partitions in kickstart
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
: 58182 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 23:27 EDT by Mike Javorski
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FDisk Output -- as requested (551 bytes, text/plain)
2001-10-29 15:54 EST, Mike Javorski
no flags Details
PartEd Output -- as requested (776 bytes, text/plain)
2001-10-29 15:55 EST, Mike Javorski
no flags Details

  None (edit)
Description Mike Javorski 2001-10-25 23:27:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6smp i686; Nav)

Description of problem:
When using the new --start/--end cylinder of the part command, Anaconda
returns an "Unable to create cylinder-based partitions"

There is warning messages in one of the terminals that  indicates that each
partition is under the minimum size (don't know if it's related)

Version-Release number of selected component (if applicable): Red Hat 7.2 -
stock


How reproducible:
Always

Steps to Reproduce:
1. Create/Use a kickstart file with all part keywords using --start/--end
keywords
2. Try to install, watch it burn...

	

Actual Results:  
  Anaconda returns an error: 	"Unable to create cylinder-based partitions"

Expected Results:  
 Should create partitions as indicated with the cylinder boundaries
indicated

Additional info:

Ideally, this would work:
<snip>
part swap --ondrive sda --start 1 --end 68 --onprimary 1
part /var --ondrive sda --start 69 --end 379 --onprimary 2 --fstype ext3
part /boot --ondrive sda --start 380 --end 382 --onprimary 3 --fstype ext2
part / --ondrive sda --start 383 --end 620 --fstype ext3
part /services --ondrive sda --start 621 --end 1024 --fstype ext3
part /home --ondrive sda --start 1025 --end 1115 --fstype ext3
</snip> 

But I also tried:
<snip>
part swap --ondrive sda --start 1 --end 68 --asprimary
part /var --ondrive sda --start 69 --end 379 --asprimary --fstype ext3
part /boot --ondrive sda --start 380 --end 382 --asprimary --fstype ext2
part / --ondrive sda --start 383 --end 620 --fstype ext3
part /services --ondrive sda --start 621 --end 1024 --fstype ext3
part /home --ondrive sda --start 1025 --end 1115 --fstype ext3
</snip>

And:
<snip>
part swap --ondrive sda --start 1 --end 68
part /var --ondrive sda --start 69 --end 379 --fstype ext3
part /boot --ondrive sda --start 380 --end 382 --fstype ext2
part / --ondrive sda --start 383 --end 620 --fstype ext3
part /services --ondrive sda --start 621 --end 1024 --fstype ext3
part /home --ondrive sda --start 1025 --end 1115 --fstype ext3
</snip>

Machine is:
- Intel L440GX+ Motherboard (using the "apic" work-around for install)
- Single 9GB SCSI Drive attatched to onboard U2W

Also running with Update disk from redhat-updates (this did improve
matters, before it just crashed, now at least it gives a error message)
Comment 1 Jeremy Katz 2001-10-26 02:33:53 EDT
Instead of --onprimary 1, try using --asprimary (with no argument) and it should
work from just looking at your partitioning commands.
Comment 2 Mike Javorski 2001-10-26 02:45:59 EDT
Actually if you look at the "part" settings that I tried (and included in my
initial bug report), the second group does exactly that.
Comment 3 Jeremy Katz 2001-10-29 15:32:26 EST
Hmm... the latter works just fine for me.  Can you give the contents of `fdisk
-l /dev/sda` and typing "print" from `parted /dev/sda`
Comment 4 Mike Javorski 2001-10-29 15:54:33 EST
Created attachment 35503 [details]
FDisk Output -- as requested
Comment 5 Mike Javorski 2001-10-29 15:55:40 EST
Created attachment 35504 [details]
PartEd Output -- as requested
Comment 6 Jeremy Katz 2001-11-26 16:36:33 EST
If you change the specification for /home to only go up to cylinder 1114 does it
work any better?
Comment 7 Mike Javorski 2001-11-26 19:12:54 EST
After making the indicated changes, it still bombs out..

A dialog box is shown:

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

Title: Error Partitioning
Content:

Could not allocate reqested partitions
Partitioning failed: Could not allocate
cylinder-based partitions.

Press OK to reboot your system.

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


VT_3 Shows several warning messages:

WARNING: Your root partition is less than 250 megabytes which is usually too
small to install Red Hat Linux.

WARNING: Your /var partition is less than 50 megabytes which is lower than
recomended for a normal Red Hat Linux Install.

WARNING: Your /home partition is less than 100 megabytes which is lower than
recomended for a normal Red Hat Linux Install.

WARNING: Your /boot partition is less than 20 megabytes which is lower than
recomended for a normal Red Hat Linux Install.

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
As this is the same result as the second grouping of partition commands
originally reported, it's safe to say that changing the /home length to 1114
instead of 1115 did not change anything.
Comment 8 Michael Fulbright 2002-01-23 16:14:18 EST
*** Bug 58182 has been marked as a duplicate of this bug. ***
Comment 9 Jeremy Katz 2002-02-25 18:51:04 EST
I unfortunately can't reproduce this on my boxes.  Matt, any ideas?
Comment 10 Jeremy Katz 2002-02-28 18:54:38 EST
If you take out the filesystems you're defining one at a time, is there any
specific one on which it starts failing?
Comment 11 Michael Fulbright 2002-04-10 14:23:24 EDT
Closing due to inactivity, please reopen if you contine to have problems.
Comment 12 Red Hat Bugzilla 2006-02-21 13:48:13 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.